import {Maybe} from '@extollo/lib'

export class SystemMetrics {
    public cpuPercent: number = 0
    public ramPercent: number = 0
    protected mountPercents: Record<string, number> = {}

    public setMount(point: string, percent: number) {
        this.mountPercents[point] = percent
    }

    public mountPercent(point: string): Maybe<number> {
        return this.mountPercents[point]
    }
}
